petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMDACreate

Creates a DMDA object.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDACreate(MPI_Comm comm, DM *da)

Collective

### Input Parameter

comm -The communicator for the DMDA object

### Output Parameter

da -The DMDA object

### Developers Note

Since there exists DMDACreate1/2/3d() should this routine even exist?

### See Also

DMDASetSizes(), DMClone(), DMDACreate1d(), DMDACreate2d(), DMDACreate3d()

### Level

advanced

### Location

src/dm/impls/da/dacreate.c

### Examples

src/dm/examples/tutorials/ex19.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages